Notify API reference

Notify API · Notification-Types

get/v1/workspaces/{workspace_id}/notification-types/{type_id}/templates/{channel}/{locale}/versionsAuth

List a template's versions

The last 20 versions, newest first.

Path parameters

workspace_id*string · uuid

Id of the workspace.

type_id*string · uuid

Id of the type.

channel*enum (4)

Template channel.

locale*string

Template locale (BCP 47).

Response · 200 The versions.

data*array

The last 20 versions, newest first.

Example

Request

GET https://api.notify.productcraft.co/v1/workspaces/{workspace_id}/notification-types/{type_id}/templates/{channel}/{locale}/versions
Authorization: Bearer YOUR_TOKEN

Response

{
  "data": [
    {
      "version": 0,
      "body": {},
      "actor": "string",
      "created_at": "2026-01-01T00:00:00.000Z"
    }
  ]
}